package com.example.demo.table;

import pers.jc.sql.AutoIncrement;
import pers.jc.sql.Column;
import pers.jc.sql.Id;
import pers.jc.sql.Table;

/**
 * 数据库表格对象-用户登录
 */
@Table("user_login")
public class UserLogin {
    @Id
    @AutoIncrement
    private int id;
    @Column
    private String username;
    @Column
    private String password;
    @Column
    private String token = "";
    @Column
    private long token_timeout;
    @Column
    private int serverIndex;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public long getToken_timeout() {
        return token_timeout;
    }

    public void setToken_timeout(long token_timeout) {
        this.token_timeout = token_timeout;
    }

    public int getServerIndex() {
        return serverIndex;
    }

    public void setServerIndex(int serverIndex) {
        this.serverIndex = serverIndex;
    }
}
